Loading...
Searching...
No Matches
gsm_23_032.h File Reference
3GPP TS 23.032 GAD: Universal Geographical Area Description.
`#include <stdint.h>`
`#include <osmocom/core/endian.h>`

Go to the source code of this file.

## Data Structures

struct | gad_raw_head
struct | gad_raw_ell_point
struct | gad_raw_ell_point_unc_circle
struct | gad_raw_ell_point_unc_ellipse
struct | gad_raw_polygon
struct | gad_raw_ell_point_alt
struct | gad_raw_ell_point_alt_unc_ell
struct | gad_raw_ell_arc
struct | gad_raw_ha_ell_point_unc_ell
struct | gad_raw_ha_ell_point_alt_unc_ell
union | gad_raw
| GAD PDU in network-byte-order according to 3GPP TS 23.032 GAD: Universal Geographical Area Description. More...

## Enumerations

enum | gad_type { GAD_TYPE_ELL_POINT = 0 , GAD_TYPE_ELL_POINT_UNC_CIRCLE = 1 , GAD_TYPE_ELL_POINT_UNC_ELLIPSE = 3 , GAD_TYPE_POLYGON = 5 , GAD_TYPE_ELL_POINT_ALT = 8 , GAD_TYPE_ELL_POINT_ALT_UNC_ELL = 9 , GAD_TYPE_ELL_ARC = 10 , GAD_TYPE_HA_ELL_POINT_UNC_ELLIPSE = 11 , GAD_TYPE_HA_ELL_POINT_ALT_UNC_ELL = 12 }

## Functions

struct gad_raw_head | __attribute__ ((packed))

## Variables

struct gad_raw_head | h
| type = GAD_TYPE_ELL_POINT
uint8_t | lat [3]
uint8_t | lon [3]
struct { |
uint8_t lat [3] |
uint8_t lon [3] |
} | point [15] |
uint8_t | alt [2]
struct gad_raw_ell_point | ell_point
struct gad_raw_ell_point_unc_circle | ell_point_unc_circle
struct gad_raw_ell_point_unc_ellipse | ell_point_unc_ellipse
struct gad_raw_polygon | polygon
struct gad_raw_ell_point_alt | ell_point_alt
struct gad_raw_ell_point_alt_unc_ell | ell_point_alt_unc_ell
struct gad_raw_ell_arc | ell_arc
struct gad_raw_ha_ell_point_unc_ell | ha_ell_point_unc_ell
struct gad_raw_ha_ell_point_alt_unc_ell | ha_ell_point_alt_unc_ell

## Variable Documentation

## alt

uint8_t alt[2]

## ell_arc

struct gad_raw_ell_arc ell_arc

## ell_point

struct gad_raw_ell_point ell_point

## ell_point_alt

struct gad_raw_ell_point_alt ell_point_alt

## ell_point_alt_unc_ell

struct gad_raw_ell_point_alt_unc_ell ell_point_alt_unc_ell

## ell_point_unc_circle

struct gad_raw_ell_point_unc_circle ell_point_unc_circle

## ell_point_unc_ellipse

struct gad_raw_ell_point_unc_ellipse ell_point_unc_ellipse

## h

struct gad_raw_head h

type = GAD_TYPE_ELL_POINT

type = GAD_TYPE_ELL_POINT_ALT

Referenced by gsm48_chan_desc::__attribute__(), lapd_acknowledge(), lapd_send_i(), lapd_send_resend(), lapd_t200_cb(), osmo_bssap_le_dec(), osmo_bssmap_le_msgt(), and osmo_cbsp_decode().

## ha_ell_point_alt_unc_ell

struct gad_raw_ha_ell_point_alt_unc_ell ha_ell_point_alt_unc_ell

## ha_ell_point_unc_ell

struct gad_raw_ha_ell_point_unc_ell ha_ell_point_unc_ell

## lat

uint8_t lat

Referenced by osmo_gad_dec_lat().

## lon

uint8_t lon

Referenced by osmo_gad_dec_lon().

## [struct]

struct { ... } point[15]

## polygon

struct gad_raw_polygon polygon